%define module	chardet

Name:		python-%{module}
Version:	5.2.0
Release:	%mkrel 2
Summary:	Character encoding auto-detection in Python
License:	LGPLv2+
Group:		Development/Python
URL:		https://github.com/chardet/chardet
Source0:	%{pypi_source %{module}}
BuildArch:	noarch

BuildRequires:	pyproject-rpm-macros

%description
Character encoding auto-detection in Python. As smart as your browser.

%package -n	python3-%{module}
Summary:	Character encoding auto-detection in Python 3
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
Character encoding auto-detection in Python 3. As smart as your browser.

%prep
%setup -q -n %{module}-%{version}

# drop bundled egg-info
rm -rf *.egg-info/

sed -ie '1{/^#!/d}' chardet/lang*model.py chardet/metadata/languages.py

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files chardet

%files -n python3-%{module} -f %{pyproject_files}
%doc LICENSE README.rst
%{_bindir}/chardetect


%changelog
* Thu Dec 07 2023 wally <wally> 5.2.0-2.mga10
+ Revision: 2014806
- rebuild for py3.12

* Wed Aug 30 2023 daviddavid <daviddavid> 5.2.0-1.mga10
+ Revision: 1981678
- new version: 5.2.0

* Sun Dec 04 2022 daviddavid <daviddavid> 5.1.0-1.mga9
+ Revision: 1917835
- new version: 5.1.0

* Wed Aug 24 2022 papoteur <papoteur> 5.0.0-1.mga9
+ Revision: 1880032
- new 5.0.0

* Wed Mar 23 2022 umeabot <umeabot> 4.0.0-4.mga9
+ Revision: 1822115
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 4.0.0-3.mga9
+ Revision: 1771928
- rebuild for python3.10

* Sun Mar 14 2021 wally <wally> 4.0.0-2.mga9
+ Revision: 1702669
- rebuild for python 3.9

* Wed Dec 30 2020 luigiwalser <luigiwalser> 4.0.0-1.mga8
+ Revision: 1665907
- 4.0.0

* Sun Feb 16 2020 umeabot <umeabot> 3.0.4-8.mga8
+ Revision: 1530747
- Mageia 8 Mass Rebuild

* Thu Sep 05 2019 wally <wally> 3.0.4-7.mga8
+ Revision: 1437550
- rebuild for python3.8
- drop python2 support

* Sat Jan 05 2019 wally <wally> 3.0.4-6.mga7
+ Revision: 1349406
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 3.0.4-5.mga7
+ Revision: 1288407
- Mageia 7 Mass Rebuild

* Sun Feb 04 2018 daviddavid <daviddavid> 3.0.4-4.mga7
+ Revision: 1198801
- fix conflicting files to ease upgrade mga6->mga7 (mga#22511)

* Sat Jan 27 2018 daviddavid <daviddavid> 3.0.4-3.mga7
+ Revision: 1197389
- rename python-chardet to python2-chardet
- make the python3 binary as default

* Thu Aug 03 2017 philippem <philippem> 3.0.4-2.mga7
+ Revision: 1134351
- rebuild for Python 3.6

* Wed Jul 19 2017 daviddavid <daviddavid> 3.0.4-1.mga7
+ Revision: 1125003
- new version: 3.0.4

* Fri Feb 19 2016 umeabot <umeabot> 2.3.0-3.mga6
+ Revision: 970446
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 daviddavid <daviddavid> 2.3.0-2.mga6
+ Revision: 886781
- switch to new python macros
+ tv <tv>
- rebuild for python 3.5

* Sun Jun 21 2015 daviddavid <daviddavid> 2.3.0-1.mga6
+ Revision: 837992
- new version: 2.3.0
- update doc lis

* Wed Oct 15 2014 umeabot <umeabot> 2.2.1-4.mga5
+ Revision: 740055
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.2.1-3.mga5
+ Revision: 728218
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.2.1-2.mga5
+ Revision: 687926
- Mageia 5 Mass Rebuild

* Fri Aug 22 2014 daviddavid <daviddavid> 2.2.1-1.mga5
+ Revision: 666540
- remove previous patch
- update Url
- update file list
- new version: 2.2.1

* Sat May 31 2014 pterjan <pterjan> 2.1.1-7.mga5
+ Revision: 629734
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 2.1.1-6.mga5
+ Revision: 628500
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.1.1-5.mga4
+ Revision: 545760
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 philippem <philippem> 2.1.1-4.mga4
+ Revision: 501743
- Fix Python 3 build
+ pterjan <pterjan>
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Jul 06 2013 wally <wally> 2.1.1-2.mga4
+ Revision: 450721
- fix python3 pkg shebangs

* Sat Jul 06 2013 wally <wally> 2.1.1-1.mga4
+ Revision: 450714
- new version 2.1.1
- enable python3 build
- fix url and source tags
- clean .spec

* Sun Jan 13 2013 umeabot <umeabot> 2.0.1-4.mga3
+ Revision: 378542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 05 2011 ahmad <ahmad> 2.0.1-3.mga1
+ Revision: 47058
- drop the buildroot tag
- replace "%%py_requires -d" with python-devel
- imported package python-chardet


* Thu Jan 28 2010 Rémy Clouard <shikamaru@mandriva.org> 2.0.1-2mdv2011.0
+ Revision: 497655
- fix license

* Thu Jan 28 2010 Rémy Clouard <shikamaru@mandriva.org> 2.0.1-1mdv2010.1
+ Revision: 497650
- bump release

* Fri May 08 2009 Anssi Hannula <anssi@mandriva.org> 1.0.1-1mdv2010.0
+ Revision: 373562
- new version
- fix buildroot and URL
- use py_requires
- drop --optimize=2
- initial Mandriva release

